# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Summary:	PAM module for auth UNIX users using MySQL data base
Name:		pam_mysql
Version:	0.7
Release:	alt1_0.15.rc1
Epoch:		1
License:	GPLv2+
Group:		System/Base
Source0:	http://dl.sf.net/pam-mysql/%{name}-%{version}RC1.tar.gz
Patch0:		pam_mysql-0.7RC1-resps-segfault.patch
Patch1:		pam_mysql-0.7RC1-first-pass.patch
Patch2:		pam_mysql-0.7RC1-scrambled.patch
URL:		http://sf.net/projects/pam-mysql/
BuildRequires:  pam-devel libmysqlclient-devel libsasl2-devel libssl-devel
Requires:	pam
Source44: import.info

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%prep
%setup -q -n %{name}-%{version}RC1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
  --with-openssl \
  --with-pam-mods-dir=/%{_lib}/security \
  --enable-static=no \
  --with-cyrus-sasl2

make %{?_smp_mflags}

mv CREDITS CREDITS.lame
iconv -f latin1 -t utf-8 -o CREDITS CREDITS.lame
touch -r README CREDITS

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%files
%doc ChangeLog COPYING CREDITS NEWS README
/%{_lib}/security/pam_mysql.so

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1:0.7-alt1_0.15.rc1
- initial fc import

